View Issue Details

IDProjectCategoryView StatusLast Update
0005824Talerotherpublic2019-09-16 09:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005824: git hook gives warning/exception, likely due to python upgrade
DescriptionSee summary and additional information.
Additional Informationremote: Sending notification emails to: gnunet-svn@gnu.org
remote: hooks/post-receive.h00-post-receive.multimail:3178: DeprecationWarning: 'U' mode is deprecated
remote: f = open(GL_CONF, 'rU')
remote: hooks/post-receive.h00-post-receive.multimail:3178: DeprecationWarning: 'U' mode is deprecated
remote: f = open(GL_CONF, 'rU')
remote: Traceback (most recent call last):
remote: File "hooks/post-receive.h01-post-receive.buildbot", line 28, in <module>
remote: from future.utils import iteritems
remote: ModuleNotFoundError: No module named 'future'
TagsNo tags attached.

Activities

Florian Dold

2019-08-29 22:56

manager   ~0014824

Fixed by installing the right python packages.

Issue History

Date Modified Username Field Change
2019-08-01 22:22 Florian Dold New Issue
2019-08-29 22:56 Florian Dold Assigned To => Florian Dold
2019-08-29 22:56 Florian Dold Status new => resolved
2019-08-29 22:56 Florian Dold Resolution open => fixed
2019-08-29 22:56 Florian Dold Note Added: 0014824
2019-09-16 09:18 Christian Grothoff Product Version => SVN HEAD
2019-09-16 09:18 Christian Grothoff Fixed in Version => 0.6
2019-09-16 09:18 Christian Grothoff Target Version => 0.6